Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model.types
Class FSPAAbstractType

    java.lang.Object
      org.apache.poi.hwpf.model.types.FSPAAbstractType

Direct Known Subclasses:
  FSPA

    public abstract class FSPAAbstractType

extends java.lang.Object

File Shape Address (FSPA).

Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format

NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/types/definitions.

This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

Author:
  Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary File Format Specification [*.doc]

Method Summary
`byte` | `getBx()` X position of shape relative to anchor CP
`byte` | `getBy()` Y position of shape relative to anchor CP
`int` | `getCTxbx()` Count of textboxes in shape (undo doc only).
`short` | `getFlags()` Get the flags field for the FSPA record.
`static int` | `getSize()` Size of record
`int` | `getSpid()` Shape Identifier.
`byte` | `getWr()` Text wrapping mode
`byte` | `getWrk()` Text wrapping mode type (valid only for wrapping modes 2 and 4
`int` | `getXaLeft()` Left of rectangle enclosing shape relative to the origin of the shape.
`int` | `getXaRight()` Right of rectangle enclosing shape relative to the origin of the shape.
`int` | `getYaBottom()` Bottom of the rectangle enclosing shape relative to the origin of the shape.
`int` | `getYaTop()` Top of rectangle enclosing shape relative to the origin of the shape.
`boolean` | `isFAnchorLock()`
`boolean` | `isFBelowText()`
`boolean` | `isFHdr()` 1 in the undo doc when shape is from the header doc, 0 otherwise (undefined when not in the undo doc)
`boolean` | `isFRcaSimple()` When set, temporarily overrides bx, by, forcing the xaLeft, xaRight, yaTop, and yaBottom fields to all be page relative.
`void` | `serialize(byte[] data, int offset)`
`void` | `setBx(byte value)` Sets the bx field value.
`void` | `setBy(byte value)` Sets the by field value.
`void` | `setCTxbx(int field_7_cTxbx)` Count of textboxes in shape (undo doc only).
`void` | `setFAnchorLock(boolean value)` Sets the fAnchorLock field value.
`void` | `setFBelowText(boolean value)` Sets the fBelowText field value.
`void` | `setFHdr(boolean value)` Sets the fHdr field value.
`void` | `setFlags(short field_6_flags)` Set the flags field for the FSPA record.
`void` | `setFRcaSimple(boolean value)` Sets the fRcaSimple field value.
`void` | `setSpid(int field_1_spid)` Shape Identifier.
`void` | `setWr(byte value)` Sets the wr field value.
`void` | `setWrk(byte value)` Sets the wrk field value.
`void` | `setXaLeft(int field_2_xaLeft)` Left of rectangle enclosing shape relative to the origin of the shape.
`void` | `setXaRight(int field_4_xaRight)` Right of rectangle enclosing shape relative to the origin of the shape.
`void` | `setYaBottom(int field_5_yaBottom)` Bottom of the rectangle enclosing shape relative to the origin of the shape.
`void` | `setYaTop(int field_3_yaTop)` Top of rectangle enclosing shape relative to the origin of the shape.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### serialize

    public void serialize(byte[] data,
                          int offset)

### getSize

    public static int getSize()

  Size of record

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getSpid

    public int getSpid()

  Shape Identifier. Used in conjunction with the office art data (found via fcDggInfo in the FIB) to find the actual data for this shape.

### setSpid

    public void setSpid(int field_1_spid)

  Shape Identifier. Used in conjunction with the office art data (found via fcDggInfo in the FIB) to find the actual data for this shape.

### getXaLeft

    public int getXaLeft()

  Left of rectangle enclosing shape relative to the origin of the shape.

### setXaLeft

    public void setXaLeft(int field_2_xaLeft)

  Left of rectangle enclosing shape relative to the origin of the shape.

### getYaTop

    public int getYaTop()

  Top of rectangle enclosing shape relative to the origin of the shape.

### setYaTop

    public void setYaTop(int field_3_yaTop)

  Top of rectangle enclosing shape relative to the origin of the shape.

### getXaRight

    public int getXaRight()

  Right of rectangle enclosing shape relative to the origin of the shape.

### setXaRight

    public void setXaRight(int field_4_xaRight)

  Right of rectangle enclosing shape relative to the origin of the shape.

### getYaBottom

    public int getYaBottom()

  Bottom of the rectangle enclosing shape relative to the origin of the shape.

### setYaBottom

    public void setYaBottom(int field_5_yaBottom)

  Bottom of the rectangle enclosing shape relative to the origin of the shape.

### getFlags

    public short getFlags()

  Get the flags field for the FSPA record.

### setFlags

    public void setFlags(short field_6_flags)

  Set the flags field for the FSPA record.

### getCTxbx

    public int getCTxbx()

  Count of textboxes in shape (undo doc only).

### setCTxbx

    public void setCTxbx(int field_7_cTxbx)

  Count of textboxes in shape (undo doc only).

### setFHdr

    public void setFHdr(boolean value)

  Sets the fHdr field value. 1 in the undo doc when shape is from the header doc, 0 otherwise (undefined when not in the undo doc)

### isFHdr

    public boolean isFHdr()

  1 in the undo doc when shape is from the header doc, 0 otherwise (undefined when not in the undo doc)

  Returns:
    the fHdr field value.

### setBx

    public void setBx(byte value)

  Sets the bx field value. X position of shape relative to anchor CP

### getBx

    public byte getBx()

  X position of shape relative to anchor CP

  Returns:
    the bx field value.

### setBy

    public void setBy(byte value)

  Sets the by field value. Y position of shape relative to anchor CP

### getBy

    public byte getBy()

  Y position of shape relative to anchor CP

  Returns:
    the by field value.

### setWr

    public void setWr(byte value)

  Sets the wr field value. Text wrapping mode

### getWr

    public byte getWr()

  Text wrapping mode

  Returns:
    the wr field value.

### setWrk

    public void setWrk(byte value)

  Sets the wrk field value. Text wrapping mode type (valid only for wrapping modes 2 and 4

### getWrk

    public byte getWrk()

  Text wrapping mode type (valid only for wrapping modes 2 and 4

  Returns:
    the wrk field value.

### setFRcaSimple

    public void setFRcaSimple(boolean value)

  Sets the fRcaSimple field value. When set, temporarily overrides bx, by, forcing the xaLeft, xaRight, yaTop, and yaBottom fields to all be page relative.

### isFRcaSimple

    public boolean isFRcaSimple()

  When set, temporarily overrides bx, by, forcing the xaLeft, xaRight, yaTop, and yaBottom fields to all be page relative.

  Returns:
    the fRcaSimple field value.

### setFBelowText

    public void setFBelowText(boolean value)

  Sets the fBelowText field value.

### isFBelowText

    public boolean isFBelowText()

  Returns:
    the fBelowText field value.

### setFAnchorLock

    public void setFAnchorLock(boolean value)

  Sets the fAnchorLock field value.

### isFAnchorLock

    public boolean isFAnchorLock()

  Returns:
    the fAnchorLock field value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD